## org.eclipse.emf.importer.ui
Class EMFModelWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.emf.importer.ui.EMFModelWizard

All Implemented Interfaces:
  IWizard, INewWizard, IWorkbenchWizard

Direct Known Subclasses:
  EMFProjectWizard

    public class EMFModelWizard

extends Wizard
implements INewWizard

Since:
  2.1.0

Nested Class Summary
`class` `EMFModelWizard.NewGenModelFileCreationPage`
`class` `EMFModelWizard.SelectionPage`

Field Summary
`protected java.lang.String` `defaultDescriptorID`
`protected IPath` `defaultPath`
`protected IPath` `genModelContainerPath`
`protected java.lang.String` `genModelFileName`
`protected IFile` `modelFile`
`protected IFile` `reloadFile`
`protected IStructuredSelection` `selection`
`protected ModelConverterDescriptorSelectionPage` `selectionPage`
`protected IWorkbench` `workbench`

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`EMFModelWizard()`
`EMFModelWizard(IFile reloadFile)`

Method Summary
`void` `addPages()`
`protected void` `addSelectionPage()`
`protected void` `adjustModelImporterWizard(IModelImporterWizard modelImporterWizard, ModelImporterDescriptor modelImporterDescriptor)`
`boolean` `canFinish()`
`protected ModelImporterDescriptor` `computeSuggestedDescriptor()`
`void` `dispose()`
`protected java.lang.String` `getDefaultGenModelFileName()`
`protected ImageDescriptor` `getDefaultImageDescriptor()`
`java.lang.String` `getDefaultModelImporterDescriptorID()`
`IPath` `getDefaultPath()`
`protected java.util.List<ModelImporterDescriptor>` `getModelImporterDescriptors()`
`protected void` `init()`
`void` `init(IWorkbench workbench, IStructuredSelection selection)`
`protected boolean` `isValidNewValue(java.lang.Object newValue, java.lang.Object oldValue)`
`boolean` `performFinish()`
`void` `setDefaultModelImporterDescriptorID(java.lang.String id)` Sets the model importer descriptor that will be selected when this wizard is presented to the user.
`void` `setDefaultPath(IPath path)` Sets the path of the genmodel that will be used when this wizard is presented to the user.

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, createPageControls, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`createPageControls, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

Field Detail

### selection

    protected IStructuredSelection selection

### workbench

    protected IWorkbench workbench

### genModelContainerPath

    protected IPath genModelContainerPath

### genModelFileName

    protected java.lang.String genModelFileName

### reloadFile

    protected IFile reloadFile

### modelFile

    protected IFile modelFile

### selectionPage

    protected ModelConverterDescriptorSelectionPage selectionPage

### defaultPath

    protected IPath defaultPath

### defaultDescriptorID

    protected java.lang.String defaultDescriptorID

Constructor Detail

### EMFModelWizard

    public EMFModelWizard()

### EMFModelWizard

    public EMFModelWizard(IFile reloadFile)

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `IWizard`
  Overrides:
    `dispose` in class `Wizard`

### getDefaultImageDescriptor

    protected ImageDescriptor getDefaultImageDescriptor()

### addPages

    public void addPages()

  Specified by:
    `addPages` in interface `IWizard`
  Overrides:
    `addPages` in class `Wizard`

### addSelectionPage

    protected void addSelectionPage()

### init

    public void init(IWorkbench workbench,
                     IStructuredSelection selection)

  Specified by:
    `init` in interface `IWorkbenchWizard`

### init

    protected void init()

### getDefaultGenModelFileName

    protected java.lang.String getDefaultGenModelFileName()

### getModelImporterDescriptors

    protected java.util.List<ModelImporterDescriptor> getModelImporterDescriptors()

### computeSuggestedDescriptor

    protected ModelImporterDescriptor computeSuggestedDescriptor()

### isValidNewValue

    protected boolean isValidNewValue(java.lang.Object newValue,
                                      java.lang.Object oldValue)

### adjustModelImporterWizard

    protected void adjustModelImporterWizard(IModelImporterWizard modelImporterWizard,
                                             ModelImporterDescriptor modelImporterDescriptor)

### canFinish

    public boolean canFinish()

  Specified by:
    `canFinish` in interface `IWizard`
  Overrides:
    `canFinish` in class `Wizard`

### performFinish

    public boolean performFinish()

  Specified by:
    `performFinish` in interface `IWizard`
  Specified by:
    `performFinish` in class `Wizard`

### setDefaultModelImporterDescriptorID

    public void setDefaultModelImporterDescriptorID(java.lang.String id)

  Sets the model importer descriptor that will be selected when this wizard is presented to the user. This method has to be invoke before the wizard pages are added.

  Parameters:
    `id` -

### getDefaultModelImporterDescriptorID

    public java.lang.String getDefaultModelImporterDescriptorID()

### setDefaultPath

    public void setDefaultPath(IPath path)

  Sets the path of the genmodel that will be used when this wizard is presented to the user. This method has to be invoke before the wizard pages are added.

  Parameters:
    `path` - The absolute path of the genmodel.

### getDefaultPath

    public IPath getDefaultPath()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.